package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.SJZDX;
import com.sinosig.core.module.filter.SJZDXSearchContext;

/**
 * 实体[SJZDX] 服务对象接口
 */

public interface ISJZDXService{
     boolean create(SJZDX sjzdx) ;
     SJZDX get(String sjzdxid) ;
     SJZDX get(SJZDX sjzdx) ;
     boolean remove(String sjzdxid) ;
     boolean checkKey(SJZDX sjzdx) ;
     boolean update(SJZDX sjzdx) ;
     SJZDX getDraft(SJZDX sjzdx) ;
     boolean save(SJZDX sjzdx) ;

    /**
     * 查询集合 车类种类
     */
     Page<SJZDX> searchCLZL(SJZDXSearchContext context) ;

    /**
     * 查询集合 业务来源
     */
     Page<SJZDX> searchYWLY(SJZDXSearchContext context) ;

    /**
     * 查询集合 车辆大类
     */
     Page<SJZDX> searchCLDL(SJZDXSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<SJZDX> searchDefault(SJZDXSearchContext context) ;

    /**
     * 根据数据字典查询
     */
     Page<SJZDX> selectBySJZD(String sjzdid) ;
     List<SJZDX> selectBySJZD2(String sjzdid);

}
